## python-openapi-core 0.19.4

=== Makefile ===
.EXPORT_ALL_VARIABLES:

PROJECT_NAME=openapi-core
PACKAGE_NAME=$(subst -,_,${PROJECT_NAME})
VERSION=`git describe --abbrev=0`

PYTHONDONTWRITEBYTECODE=1

params:
	@echo "Project name: ${PROJECT_NAME}"
	@echo "Package name: ${PACKAGE_NAME}"
	@echo "Version: ${VERSION}"

dist-build:
	@poetry build

dist-cleanup:
	@rm -rf build dist ${PACKAGE_NAME}.egg-info

dist-upload:
	@poetry publish

test-python:
	@pytest

test-cache-cleanup:
	@rm -rf .pytest_cache

reports-cleanup:
	@rm -rf reports

test-cleanup: test-cache-cleanup reports-cleanup

docs-html:
	sphinx-build -b html docs docs/_build

docs-cleanup:
	@rm -rf docs/_build

cleanup: dist-cleanup test-cleanup

release/patch:
	@bump2version patch

release/minor:
	@bump2version minor

release/major:
	@bump2version major

## python-openapi-core 0.19.2

=== debian/changelog ===
python-openapi-core (0.19.2-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 Jul 2024 21:21:09 +0100

python-openapi-core (0.19.2-1) unstable; urgency=medium

  * Initial release (Closes: #1073493)

 -- Julian Gilbey <jdg@debian.org>  Mon, 01 Jul 2024 21:30:16 +0100

=== debian/control ===
Source: python-openapi-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               help2man,
               pybuild-plugin-pyproject,
               python3-aiohttp,
               python3-aioitertools,
               python3-all,
               python3-django,
               python3-djangorestframework <!nocheck>,
               python3-falcon,
               python3-fastapi,
               python3-flask,
               python3-httpx <!nocheck>,
               python3-isodate,
               python3-jsonschema,
               python3-jsonschema-path,
               python3-more-itertools,
               python3-multidict,
               python3-openapi-schema-validator,
               python3-openapi-spec-validator,
               python3-parse,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-aiohttp <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-requests,
               python3-responses <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-starlette,
               python3-strict-rfc3339 <!nocheck>,
               python3-werkzeug
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/python-openapi/openapi-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openapi-core
Vcs-Git: https://salsa.debian.org/python-team/packages/python-openapi-core.git
Rules-Requires-Root: no
Description: Client- and server-side support for OpenAPI specification
 This Python library adds client-side and server-side support for the
 OpenAPI v3.0 and v3.1 specification. It offers:
 .
   * validation and unmarshalling of request and response data (including
     webhooks)
   * integration with popular libraries (Requests and Werkzeug) and
     frameworks (Django, Falcon, Flask, Starlette)
   * customization with media type deserializers and format unmarshallers
   * security data providers (API keys, Cookie, Basic and Bearer HTTP
     authentications)

Package: python3-openapi-core
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-openapi-core-doc,
          python3-aiohttp,
          python3-aioitertools,
          python3-django,
          python3-falcon,
          python3-fastapi,
          python3-flask,
          python3-multidict,
          python3-requests,
          python3-starlette
Multi-Arch: foreign
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the library for Python 3.

Package: python-openapi-core-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-openapi-core
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openapi-core
export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/.coverage {destdir}/{install_dir}/reports

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) sphinx-build -W -b html docs docs/_build/html
endif

override_dh_installdocs:
	dh_installdocs -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installdocs --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/_build

## python-openapi-core 0.19.4

=== debian/changelog ===
python-openapi-core (0.19.4-1) unstable; urgency=medium

  * New upstream version
  * Use sphinx built-using field
  * Remove deprecated sphinx function call
  * We successfully build with the python3-fastapi now in testing
    (closes: #1078827)

 -- Julian Gilbey <jdg@debian.org>  Thu, 05 Dec 2024 05:29:14 +0000

=== debian/control ===
--- 
+++ 
@@ -79,6 +79,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: python3-openapi-core
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 export PYBUILD_NAME=openapi-core
 export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/.coverage {destdir}/{install_dir}/reports
+# Despite an attempted fix, starlette still sometimes gives warnings:
+# ResourceWarning: Unclosed <MemoryObjectReceiveStream at ...>
+# See https://github.com/encode/starlette/discussions/2603
+# We therefore ignore them.
+export PYBUILD_TEST_ARGS=-W ignore::ResourceWarning
 
 %:
 	dh $@ --with=sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/python-openapi/openapi-core/tags?per_page=100 \
    https://api.github.com/repos/python-openapi/openapi-core/tarball/refs/tags/@ANY_VERSION@

## python-openapi-core 0.22.0

=== Makefile ===
--- 
+++ 
@@ -32,18 +32,12 @@
 test-cleanup: test-cache-cleanup reports-cleanup
 
 docs-html:
-	sphinx-build -b html docs docs/_build
+	python -m mkdocs build --clean --site-dir docs_build --config-file mkdocs.yml
 
 docs-cleanup:
-	@rm -rf docs/_build
+	@rm -rf docs_build
 
 cleanup: dist-cleanup test-cleanup
 
-release/patch:
-	@bump2version patch
-
-release/minor:
-	@bump2version minor
-
-release/major:
-	@bump2version major
+bench-paths:
+	@PYTHONHASHSEED=0 python tests/benchmarks/bench_paths.py --paths 500 --templates-ratio 0.7 --lookups 2000 --output bench-paths.json

=== debian/changelog ===
python-openapi-core (0.22.0-1) unstable; urgency=medium

  * Team upload.

  [ Julian Gilbey, Colin Watson ]
  * New upstream version:
    - Add Python 3.14 support (closes: #1123278).

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jan 2026 03:02:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                help2man,
+               mkdocs <!nodoc>,
+               mkdocs-material <!nodoc>,
+               mkdocstrings <!nodoc>,
+               mkdocstrings-python-handlers <!nodoc>,
                pybuild-plugin-pyproject,
                python3-aiohttp,
                python3-aioitertools,
@@ -15,28 +19,27 @@
                python3-falcon,
                python3-fastapi,
                python3-flask,
+               python3-griffe-typingdoc <!nodoc>,
                python3-httpx <!nocheck>,
                python3-isodate,
-               python3-jsonschema,
+               python3-jsonschema (>= 4.23.0),
                python3-jsonschema-path,
                python3-more-itertools,
                python3-multidict,
                python3-openapi-schema-validator,
                python3-openapi-spec-validator,
-               python3-parse,
                python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-aiohttp <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-requests,
                python3-responses <!nocheck>,
-               python3-sphinx,
-               python3-sphinx-rtd-theme <!nodoc>,
                python3-starlette,
                python3-strict-rfc3339 <!nocheck>,
+               python3-typing-extensions,
                python3-werkzeug
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/python-openapi/openapi-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openapi-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-openapi-core.git
@@ -76,10 +79,8 @@
 Package: python-openapi-core-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}
 Suggests: python3-openapi-core
-Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,12 @@
 export PYBUILD_TEST_ARGS=-W ignore::ResourceWarning
 
 %:
-	dh $@ --with=sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_build:
-	PYTHONPATH=$$(pwd) sphinx-build -W -b html docs docs/_build/html
+	mkdir -p docs_build
+	PYTHONPATH=$$(pwd) python3 -m mkdocs build --clean --site-dir docs_build/html --config-file mkdocs.yml
 endif
 
 override_dh_installdocs:
@@ -21,4 +22,4 @@
 	dh_installdocs --remaining-packages
 
 execute_after_dh_auto_clean:
-	rm -rf docs/_build
+	rm -rf docs_build
